apiRescheduleInboundAppointment
تعديليتطلب مفتاحًاMoves a scheduled shipment to another slot; the previous appointment is freed.
الوسائط
| الاسم | النوع | الوصف |
|---|---|---|
| dockId | String! | مطلوب |
| note | String | |
| shipmentId | String! | مطلوب |
| startsAt | DateTime! | مطلوب |
يُرجع
مثال
mutation ApiRescheduleInboundAppointment($dockId: String!, $note: String, $shipmentId: String!, $startsAt: DateTime!) {
apiRescheduleInboundAppointment(dockId: $dockId, note: $note, shipmentId: $shipmentId, startsAt: $startsAt) {
appointmentId
arrivedAt
cancelledAt
closedAt
createdAt
damagedUnits
dueAt
expectedUnits
facilityCode
facilityId
id
inboundMode
lateness
note
orderNo
orderSliceId
organizationId
origin
photoKeys
receivedAt
receivedUnits
reference
scheduledAt
sellerName {
ar
en
fr
tn
}
sellerReference
shopRepresentative
sliceNo
status
}
}curl -sS https://api.wamia.tn/connect/graphql \
-H 'content-type: application/json' \
-H 'x-api-key: wamia_…' \
-H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
-H 'wamia-idempotency-key: 6f0e1a2b-…' \
--data '{"query":"mutation ApiRescheduleInboundAppointment($dockId: String!, $note: String, $shipmentId: String!, $startsAt: DateTime!) { apiRescheduleInboundAppointment(dockId: $dockId, note: $note, shipmentId: $shipmentId, startsAt: $startsAt) { appointmentId arrivedAt cancelledAt closedAt createdAt damagedUnits dueAt expectedUnits facilityCode facilityId id inboundMode lateness note orderNo orderSliceId organizationId origin photoKeys receivedAt receivedUnits reference scheduledAt sellerName { ar en fr tn } sellerReference shopRepresentative sliceNo status } }"}'